script.registerScript({
    name: "Barrel CREA Edition NK",
    version: "1.0.0",
    website: "https://github.com/Trollhunters501/Barrel-CREA-Edition",
    description: "Geyser plugin for Nukkit!",
    authors: ["Creadores Program, BarrelMC & DavyCraft648"]
});
script.addEventListener("Load", function(){
    console.info("[§eBarrelMC§r] §eLoading...");
    let cong = manager.createConfig(manager.getFile("Barrel CREA Edition NK", "config.yml"), 2);
    if(cong.get("maxplayers") == null || cong.get("maxplayers") != server.getMaxPlayers()){
        cong.set("maxplayers", server.getMaxPlayers());
    }
    if(cong.get("shutdownMessage") == null || cong.get("shutdownMessage") != server.getProperties().get("shutdown-message")){
        cong.set("shutdownMessage", server.getProperties().get("shutdown-message"));
    }
    cong.save();
});
script.addEventListener("Enable", function(){
    let fil = manager.getFile("Barrel CREA Edition NK", "Barrel-CREA-Edition-1.0.0-SNAPSHOT.jar").getAbsolutePath();
    let BarrelJ = new NnClassLoader({ jars: [fil]});
    let mainDir = plugin.getDataFolder().getAbsolutePath()+"/Barrel CREA Edition NK/";
    let ProxyMain = BarrelJ.type("org.barrelmc.barrel.server.ProxyServer");
    let BlockConver = BarrelJ.type("org.barrelmc.barrel.network.converter.BlockConverter");
    server.getLogger().info("Starting Barrel Proxy CREA Edition software");
    BlockConver.init();
    new ProxyMain(mainDir);
});